require 'xcutils/carthage/xcconfig'

module XcodeUtils
  class Command
    class Carthage < Command
      self.summary = 'Carthage command wrapper.'
      self.command = 'carthage'

      def self.install_bash_file_path
        File.expand_path('../../../sh/install_carthage.sh', __FILE__)
      end

      def self.options
        []
      end

      def initialize(argv)
        super
        @additional_args = argv.remainder!
      end

      def validate!
      end

      def run
        path = File.expand_path('../../../sh/install_carthage.sh', __FILE__)
        system("bash #{Carthage::install_bash_file_path}")
        system("carthage #{@additional_args.join(" ")}")
        XcodeUtils::Carthage::XcodeConfig.new.run
      end

      class Clean < Carthage
        self.summary = 'Cleanup Carthage.'
        self.arguments = []

        def self.options
          []
        end

        def initialize(argv)
          super
          @additional_args = argv.remainder!
        end

        def validate!
        end

        def run
          XcodeUtils::Carthage::XcodeConfig.new.clean
          system("rm -rf ./Carthage")
        end
      end
    end
  end
end