//
//  UITestRunnerViewController.swift
//  Copyright © 2020 abc-studio. All rights reserved.
//

import UIKit

final class UITestRunnerViewController: UIViewController {
    
    // MARK: - Private Properties
    
    private var suite: UITestSuite!
    
    // MARK: - Overridden: UIViewController
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        UITestSuite.authorizationProvider = UITestAuthorizationProviderImpl()
    }

    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        
        if children.count < 1 {
            runTestSuites()
        }
    }

    // MARK: - Private Methods

    private func runTestSuites() {
        runTestSuite(MainTestSuite.self)
    }

    private func runTestSuite<T: UITestSuite>(_ suiteType: T.Type) {
        suite = suiteType.init()
        suite.testRunnerViewController = self
        suite.run()
    }
}